summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rw-r--r--tools/check_for_upgrade.sh2
-rwxr-xr-xtools/install.sh8
2 files changed, 8 insertions, 2 deletions
diff --git a/tools/check_for_upgrade.sh b/tools/check_for_upgrade.sh
index 524aa509d..bbd705a1e 100644
--- a/tools/check_for_upgrade.sh
+++ b/tools/check_for_upgrade.sh
@@ -23,7 +23,7 @@ then
fi
epoch_diff=$(($(_current_epoch) - $LAST_EPOCH))
- if [ $epoch_diff -gt 6 ]
+ if [ $epoch_diff -gt 13 ]
then
if [ "$DISABLE_UPDATE_PROMPT" = "true" ]
then
diff --git a/tools/install.sh b/tools/install.sh
index aedb706da..8ca427d2c 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -5,7 +5,13 @@ then
fi
echo "\033[0;34mCloning Oh My Zsh...\033[0m"
-/usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh
+which git > /dev/null
+if [[ $? -eq 0 ]]; then
+ /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh
+else
+ echo "git not installed"
+ exit
+fi
echo "\033[0;34mLooking for an existing zsh config...\033[0m"
if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]